# $Revision: 1.24 $, $Date: 2012/01/18 20:45:51 $
#
# Conditional build:
%bcond_without	dietlibc	# don't build static dietlibc library
#
Summary:	Library to help mapping id's, mainly for NFSv4
Summary(pl.UTF-8):	Biblioteka pomagająca w mapowaniu identyfikatorów, głównie dla NFSv4
Name:		libnfsidmap
Version:	0.25
Release:	3
License:	BSD
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/%{name}-%{version}.tar.gz
# Source0-md5:	2ac4893c92716add1a1447ae01df77ab
Patch0:		%{name}-idmapd.conf.patch
Patch1:		%{name}-user@domain.patch
Patch2:		%{name}-diet.patch
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
%{?with_dietlibc:BuildRequires:	dietlibc-static >= 2:0.31-5}
BuildRequires:	openldap-devel
Obsoletes:	nfsidmap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

# to get backslash, we need to escape it from spec parser. therefore "\\|" not "\|" here
%define		dietarch	%(echo %{_target_cpu} | sed -e 's/i.86\\|pentium.\\|athlon/i386/;s/amd64/x86_64/;s/armv.*/arm/')
%define		dietlibdir	%{_prefix}/lib/dietlibc/lib-%{dietarch}

%description
Library to help mapping id's, mainly for NFSv4.

%description -l pl.UTF-8
Biblioteka pomagająca w mapowaniu identyfikatorów, głównie dla NFSv4.

%package devel
Summary:	Header files for libnfsidmap library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnfsidmap
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	nfsidmap-devel

%description devel
Header files for libnfsidmap library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnfsidmap.

%package static
Summary:	Static libnfsidmap library
Summary(pl.UTF-8):	Statyczna biblioteka libnfsidmap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	nfsidmap-static

%description static
Static libnfsidmap library.

%description static -l pl.UTF-8
Statyczna biblioteka libnfsidmap.

%package dietlibc
Summary:	Static dietlibc libnfsidmap library
Summary(pl.UTF-8):	Biblioteka statyczna dietlibc libnfsidmap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description dietlibc
Static dietlibc libnfsidmap library.

%description dietlibc -l pl.UTF-8
Biblioteka statyczna dietlibc libnfsidmap.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%if %{with dietlibc}
%configure \
	CC="diet %{__cc} %{rpmcflags} %{rpmldflags} -Os -D_BSD_SOURCE -D_GNU_SOURCE" \
	--enable-static \
	--disable-shared \
	--disable-ldap

%{__make}
mv .libs/libnfsidmap.a diet-libnfsidmap.a
%{__make} clean
%endif

%configure \
	--with-pluginpath=/%{_lib}/libnfsidmap
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib}}
%{?with_dietlibc:install -d $RPM_BUILD_ROOT%{dietlibdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install idmapd.conf $RPM_BUILD_ROOT%{_sysconfdir}

%{?with_dietlibc:install diet-libnfsidmap.a $RPM_BUILD_ROOT%{dietlibdir}/libnfsidmap.a}

mv $RPM_BUILD_ROOT%{_libdir}/libnfsidmap $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libnfsidmap.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libnfsidmap.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libnfsidmap.so

%{__rm} $RPM_BUILD_ROOT/%{_lib}/libnfsidmap/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(644,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/idmapd.conf
%attr(755,root,root) /%{_lib}/libnfsidmap.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libnfsidmap.so.0
%dir /%{_lib}/libnfsidmap
%attr(755,root,root) /%{_lib}/libnfsidmap/nsswitch.so
%attr(755,root,root) /%{_lib}/libnfsidmap/static.so
# -plugin-ldap subpackage?
%attr(755,root,root) /%{_lib}/libnfsidmap/umich_ldap.so
# -plugin-gums subpackage (BR: some datagrid software - VOMS?)
#%attr(755,root,root) /%{_lib}/libnfsidmap/gums.so
%{_mandir}/man5/idmapd.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnfsidmap.so
%{_includedir}/nfsidmap.h
%{_pkgconfigdir}/libnfsidmap.pc
%{_mandir}/man3/nfs4_uid_to_name.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnfsidmap.a

%if %{with dietlibc}
%files dietlibc
%defattr(644,root,root,755)
%{dietlibdir}/libnfsidmap.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnfsidmap.spec,v $
Revision 1.24  2012/01/18 20:45:51  baggins
- rel 3
- move lib and plugins to /lib allowing idmapper early startup

Revision 1.23  2012/01/16 12:20:48  arekm
- rel 2; define proper (lib64 aware) plugin path

Revision 1.22  2011/12/08 15:47:42  qboosh
- updated to 0.25

Revision 1.21  2010/12/08 21:42:33  baggins
- 0.24

Revision 1.20  2010/09/25 15:16:09  glen
- reason is quite obvious

Revision 1.19  2010/09/24 16:31:06  baggins
- rel 2
- added dietlibc package

Revision 1.18  2010/08/12 20:25:35  qboosh
- updated to 0.23
- updated idmapd.conf patch
- removed obsolete default-domain,nss-localrealms patches

Revision 1.17  2009/11/28 02:17:47  sparky
- %undefine __cxx - to prevent configure from looking for c++ compiler

Revision 1.16  2009/07/05 23:31:58  aredridel
- add user@domain patch to make users with a posix userid including @domain work

Revision 1.15  2009/03/04 22:53:17  baggins
- rel 3
- there is no sensitive data in idmapd.conf, no reason for mode 660

Revision 1.14  2009/03/04 22:50:57  baggins
- rel 2
- idmapd.conf is gone from nfs-utils (upstream), so it's here
- sane defaults in idmapd.conf
- cook something if domain can't be obtained from DNS and
  none is specified in config
- patch from upstream as to how nss deals with Local Realms

Revision 1.13  2008/07/31 16:34:09  qboosh
- updated to 0.21 (with plugins architecture)

Revision 1.12  2008/05/31 16:12:43  qboosh
- ghost soname symlink

Revision 1.11  2007-11-03 13:22:02  baggins
- rel 2

Revision 1.10  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.9  2007/04/25 08:38:21  qboosh
- updated to 0.20

Revision 1.8  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.6  2007/01/30 21:22:23  qboosh
- updated to 0.19

Revision 1.5  2006/11/13 15:05:01  qboosh
- updated to 0.18

Revision 1.4  2006/08/16 19:09:44  qboosh
- updated to 0.17

Revision 1.3  2006/04/22 18:33:26  qboosh
- updated to 0.16

Revision 1.2  2006/03/25 14:37:10  qboosh
- updated to 0.15

Revision 1.1  2006/02/27 21:46:24  qboosh
- based on nfsidmap.spec, name changed after 0.11

Revision 1.5  2006/01/17 12:19:41  baggins
- release 2
- (B)R openldap-devel >= 2.3

Revision 1.4  2005/10/05 22:49:12  qboosh
- updated to 0.11

Revision 1.3  2005/01/15 19:09:20  qboosh
- updated to 0.10

Revision 1.2  2005/01/07 21:21:39  qboosh
- updated to 0.8

Revision 1.1  2004/12/22 16:19:37  qboosh
- new
